<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="color-scheme" content="light" />

    <link rel="icon" href="img/logo.png">

    <meta name="format-detection" content="telephone=no">
    <meta name="msapplication-tap-highlight" content="no">
    <meta name="viewport" content="initial-scale=1, width=device-width, viewport-fit=cover">

    <!-- Настройки безопасности кордовы, здесь настраивается могут ли выполняться и нлайн скрипты, -->
    <!-- переходы по ссылке, удаленный доступ к библиотекам и АПИ и т.д. cdvfile://* -->
    <meta http-equiv="Content-Security-Policy" content="default-src *; style-src 'self' 'unsafe-inline' https://unpkg.com/leaflet@1.7.1/dist;
            script-src 'self' 'unsafe-inline' 'unsafe-eval' *; img-src 'self' data: *;">

    <link rel="stylesheet" href="css/bootstrap.min.css">

    <script src="js/jquery341.js"></script>
    <script src="js/popper.js"></script>
    <script src="js/bootstrap.min.js"></script>

    <script src="js/fontawesome.js"></script>
    <script src="js/moment.js"></script>

    <script src="js/connection.js"></script>

    <!-- Очень важная ссылка, иначе не будут работать плагины cordova.js -->
    <script type="text/javascript" src="cordova.js"></script>

    <link rel="stylesheet" href="css/index.css">
    <link rel="stylesheet" href="css/preloader.css">

    <script>
      document.addEventListener("DOMContentLoaded", function(event) {
        // todo code here ...
      });

      $(function(){
        var includes = $('[data-include]');
        jQuery.each(includes, function(){
          var file = '' + $(this).data('include') + '.html';
          $(this).load(file);
        });
      });
    </script>

    <title>АСКУЭ «РЖД»</title>
</head>

<body>

    <div>
        <div id="cover" class="loading"></div>
    </div>

    <!-- Меню -->
    <!-- ----------------------------------------------------------------------------------------------- -->
    <div data-include="menuBar"></div>
    <!-- Конец меню -->
    <!-- ----------------------------------------------------------------------------------------------- -->

    <!-- Контейнер формы "Подключение" -->
    <div id="connContainer" style="padding: 10px 10px 10px 10px;">

        <!-- Заголовок(Название подключение + Статус -->
        <h5 id="connName"></h5>
        <h6 id="connType"></h6>
        <h6 id="connFactoryNum"></h6>
        <!-- Конец Заголовка -->
        <!-- ----------------------------------------------------------------------------------------------- -->

        <!-- Показание -->
        <div class="form-group">
            <small for="tConnValue" class="form-text text-muted">Показание</small>
            <input type="text" class="form-control" name="Value" id="tConnValue">
        </div>
        <!-- Конец "Показание" -->
        <!-- ----------------------------------------------------------------------------------------------- -->

        <!-- Комментарий -->
        <div class="form-group">
            <small for="tConnComment" class="form-text text-muted">Комментарий</small>
            <textarea class="form-control" name="Comment" id="tConnComment" rows="3"></textarea>
        </div>
        <!-- Конец "Комментарий" -->
        <!-- ----------------------------------------------------------------------------------------------- -->

        <!-- Фото приборов -->
        <div class="form-group">
            <div class="d-flex mb-1"> <!-- mb - container margin property and/or padding, p - padding property of internal container -->
                <div class="p-2 mr-auto">
                    <small for="tConnMeterPics" class="form-text text-muted">Фото приборов</small>
                </div>
                <div class="p-2">
                    <img src="img/addphoto.png" width="18" height="18" onclick="getPicture();">
                </div>
            </div>

            <ul id="tConnMeterPics" class="list-group"></ul>

        </div>
        <!-- Конец "Фото приборов" -->
        <!-- ----------------------------------------------------------------------------------------------- -->

        <hr>

        <!-- Конец "Фото журналов" -->
        <!-- ----------------------------------------------------------------------------------------------- -->

        <!-- Кнопки Завершить/Отклонить -->
        <div class="form-group">

            <div class="d-flex">
                <button type="button" class="btn btn-outline-success flex-fill" onclick="closeConIssue(true)" style="margin-right: 3px;">Завершить</button>
                <button type="button" class="btn btn-outline-warning flex-fill" onclick="closeConIssue(false)" style="margin-left: 3px;">Приостановить</button>
            </div>

        </div>
        <!-- Конец "Завершить/Отклонить" -->
        <!-- ----------------------------------------------------------------------------------------------- -->

        <!-- Кнопка "Регламент" -->
<!--        <div class="form-group">-->

<!--            <div class="d-flex">-->
<!--                <button type="button" class="btn btn-outline-primary flex-fill" onclick="getRegulations()" style="margin-right: 3px;">Регламент</button>-->
<!--            </div>-->

<!--        </div>-->
        <!-- Конец "Регламент" -->
        <!-- ----------------------------------------------------------------------------------------------- -->


        <!-- Кнопка "Назад" -->
            <div class="form-group">

                <div class="d-flex">
                    <button type="button" class="btn btn-outline-danger flex-fill" onclick="getBackFromConn(event)" style="margin-right: 3px;">Назад</button>
                </div>

            </div>
        <!-- Конец "Назад" -->
        <!-- ----------------------------------------------------------------------------------------------- -->







    </div>
    <!-- Конец контейнера "Подключение" -->
    <!-- ----------------------------------------------------------------------------------------------- -->

</body>
</html>